/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _TOSKA_H
#define _TOSKA_H

#include <syslog.h>
#include "my_stdio.h"

#define BASE_DIR      "/toska"
#define DATA_DIR      "data"
#define MODES_FILE    "ska_modes.dat"
#define SEQUENCE_FILE "ska_sequence.dat"
#define CURRENT_FILE  "ska_last_file"

#ifdef UPS_LOAD_CTRL
#define LOAD_OFF_CMD "upscmd -u monmaster -p toska toskaups@localhost load.off"
#define LOAD_ON_CMD  "upscmd -u monmaster -p toska toskaups@localhost load.on"
#endif

extern const char *name_definition;
/* Flags: */
extern int daemon_flag;
extern int rotator_flag;
extern int thermometer_flag;
extern int plot_flag;
extern int current_flag;
extern int restart_flag;



#endif /* _TOSKA_H */

